<template>
    <div class="BubbleGroup">
        <div v-if="projects.length">
            <p v-if="$fetchState.error">An error occurred :(</p>
            <Bubble 
                v-for="project in projects"
                :key="project.id"
                :content="project"
                type="GitLab"
                link=true
                animation=true
            />
        </div>
        <Bubble
            :content="skills"
            title='Mein Techstack'
        />
    </div>
</template>


<script>
export default {
    data() {
        return {
            skills: [
                'PHP',
                'JavaScript',
                'HTML5',
                'CSS3 (SCSS)',
                'Gulp',
                'WordPress',
                'Bootstrap',
                'Git',
                'Docker',
                'CI/CD',
                
            ],
            projects: [],
        }
    },
    async fetch() {
        
        this.projects = await fetch(
            `https://gitlab.com/api/v4/users/tom.kin/projects?&order_by=last_activity_at&private_token=${process.env.privateToken}`
        ).then( res => res.json()
        ).then( data => {
            var hello = [];
            data.forEach(element => {
                if(element.visibility === 'public') {
                    hello.push(element);
                }
            });
            return hello;
        })
    }
}
</script>

<style scoped>

.BubbleGroup {
    width: 100%;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    margin: 0 0 5rem;
}

.techstack-headline {
    margin-top: 3rem;
}
h3 {
    color: white;
    margin: 0 0 2rem 0;
    font-size: 2.6rem;
}
ul {
    width: 100%;
    list-style: none;
}
li {
    width: 100%;

    padding: 2rem;
    margin: 0 1rem 1rem 0;
    border-radius: 1rem;
}

.projects li:hover {
    transform: translate(1rem);
    box-shadow: 0 1rem 2rem rgba(0,0,0,.3);
    transition: all .25s;
}

.projects h3 {
    font-size: 2rem;
    font-weight: bold;
}

.projects p {
    opacity: .8;
    margin-bottom: 3rem;
}

.project-header {
    margin: 0 0 2rem;
}

.project-header i {
    font-size: 1.4rem;
}
.project-header span {
    margin: 0 0 0 1rem;
    font-size: 1.4rem;
}

@media (max-width: 90rem) {
 h3 {
     padding-left: 1rem;
 }   
}
</style>